package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_de_an_parameter"
)
public class TCoreKeyDeAnParameter extends TInitEntity {
   private String ip;
   private String port;
   private String password;
   private String salg;
   private String keynum;

   public String getIp() {
      return this.ip;
   }

   public String getPort() {
      return this.port;
   }

   public String getPassword() {
      return this.password;
   }

   public String getSalg() {
      return this.salg;
   }

   public String getKeynum() {
      return this.keynum;
   }

   public void setIp(final String ip) {
      this.ip = ip;
   }

   public void setPort(final String port) {
      this.port = port;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setSalg(final String salg) {
      this.salg = salg;
   }

   public void setKeynum(final String keynum) {
      this.keynum = keynum;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyDeAnParameter)) {
         return false;
      } else {
         TCoreKeyDeAnParameter other = (TCoreKeyDeAnParameter)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            Object this$port = this.getPort();
            Object other$port = other.getPort();
            if (this$port == null) {
               if (other$port != null) {
                  return false;
               }
            } else if (!this$port.equals(other$port)) {
               return false;
            }

            Object this$password = this.getPassword();
            Object other$password = other.getPassword();
            if (this$password == null) {
               if (other$password != null) {
                  return false;
               }
            } else if (!this$password.equals(other$password)) {
               return false;
            }

            Object this$salg = this.getSalg();
            Object other$salg = other.getSalg();
            if (this$salg == null) {
               if (other$salg != null) {
                  return false;
               }
            } else if (!this$salg.equals(other$salg)) {
               return false;
            }

            Object this$keynum = this.getKeynum();
            Object other$keynum = other.getKeynum();
            if (this$keynum == null) {
               if (other$keynum != null) {
                  return false;
               }
            } else if (!this$keynum.equals(other$keynum)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyDeAnParameter;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $port = this.getPort();
      result = result * 59 + ($port == null ? 43 : $port.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      Object $salg = this.getSalg();
      result = result * 59 + ($salg == null ? 43 : $salg.hashCode());
      Object $keynum = this.getKeynum();
      result = result * 59 + ($keynum == null ? 43 : $keynum.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyDeAnParameter(ip=" + this.getIp() + ", port=" + this.getPort() + ", password=" + this.getPassword() + ", salg=" + this.getSalg() + ", keynum=" + this.getKeynum() + ")";
   }
}
